Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 493928 - app-accessibility/at-spi2-core is missing a dependency on dev-perl/XML-Parser
Summary: app-accessibility/at-spi2-core is missing a dependency on dev-perl/XML-Parser
Status: RESOLVED DUPLICATE of bug 41124
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux bug wranglers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-11 11:01 UTC by Denys Duchier
Modified: 2013-12-11 14:14 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denys Duchier 2013-12-11 11:01:34 UTC
checking for perl... /usr/bin/perl
checking for perl >= 5.8.1... 5.16.3
checking for XML::Parser... configure: error: XML::Parser perl module is required for intltool

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/app-accessibility/at-spi2-core-2.8.0/work/at-spi2-core-2.8.0/config.log
 * ERROR: app-accessibility/at-spi2-core-2.8.0::gentoo failed (configure phase):
 *   econf failed
 * 
 * Call stack:
 *          ebuild.sh, line   93:  Called src_configure
 *        environment, line 3155:  Called gnome2_src_configure '--disable-xevie' '--enable-introspection'
 *        environment, line 2408:  Called econf '--disable-gtk-doc' '--disable-xevie' '--enable-introspection'
 *   phase-helpers.sh, line  577:  Called die
 * The specific snippet of code:
 *                      die "econf failed"
 *
Comment 1 Denys Duchier 2013-12-11 11:06:19 UTC
and apparently it has to be the uptodate XML-Parser-2.410.0-r1
Comment 2 Rafał Mużyło 2013-12-11 14:02:20 UTC
(In reply to Denys Duchier from comment #1)
> and apparently it has to be the uptodate XML-Parser-2.410.0-r1

:sigh: and apparently you've just went through a major perl upgrade, but didn't run perl-cleaner yet, right ?
Comment 3 Jeroen Roovers gentoo-dev 2013-12-11 14:06:19 UTC

*** This bug has been marked as a duplicate of bug 41124 ***
Comment 4 Denys Duchier 2013-12-11 14:14:26 UTC
(In reply to Rafał Mużyło from comment #2)
> :sigh: and apparently you've just went through a major perl upgrade, but
> didn't run perl-cleaner yet, right ?

aarg! I am so embarassed.  This is an initial install and I must have missed it in the deluge of packages being installed. terribly sorry about the noise.